Debian Bug report logs - #596953
gdb: Please add preliminary support for armhf

version graph

Package: gdb; Maintainer for gdb is Héctor Orón Martínez <zumbi@debian.org>; Source for gdb is src:gdb.

Reported by: Konstantinos Margaritis <markos@debian.org>

Date: Wed, 15 Sep 2010 10:39:01 UTC

Severity: wishlist

Found in version gdb/7.2-1

Fixed in version gdb/7.3.50~cvs20110627-2

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <dan@debian.org>:
Bug#596953; Package gdb. (Wed, 15 Sep 2010 10:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@debian.org>:
New Bug report received and forwarded. Copy sent to Daniel Jacobowitz <dan@debian.org>. (Wed, 15 Sep 2010 10:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gdb: Please add preliminary support for armhf
Date: Wed, 15 Sep 2010 13:37:44 +0300
[Message part 1 (text/plain, inline)]
Package: gdb
Version: 7.2-1
Severity: wishlist


Please add preliminary support for armhf port (now on debian-ports.org)
The attached patch is enough to fix compilation.

Thanks

Konstantinos Margaritis
Genesi USA, Senior Software engineer, armhf port maintainer
Debian Developer
[gdb-armhf.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <dan@debian.org>:
Bug#596953; Package gdb. (Thu, 16 Sep 2010 14:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <drow@false.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <dan@debian.org>. (Thu, 16 Sep 2010 14:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 596953@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <drow@false.org>
To: Konstantinos Margaritis <markos@debian.org>, 596953@bugs.debian.org
Subject: Re: Bug#596953: gdb: Please add preliminary support for armhf
Date: Thu, 16 Sep 2010 09:44:12 -0400
tags 596953 + pending
thanks

On Wed, Sep 15, 2010 at 01:37:44PM +0300, Konstantinos Margaritis wrote:
> Package: gdb
> Version: 7.2-1
> Severity: wishlist
> 
> 
> Please add preliminary support for armhf port (now on debian-ports.org)
> The attached patch is enough to fix compilation.

Thanks, will be in the next upload.

-- 
Daniel Jacobowitz
CodeSourcery




Added tag(s) pending. Request was from Daniel Jacobowitz <drow@false.org> to control@bugs.debian.org. (Thu, 16 Sep 2010 14:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <dan@debian.org>:
Bug#596953; Package gdb. (Wed, 11 May 2011 15:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <dan@debian.org>. (Wed, 11 May 2011 15:21:05 GMT) Full text and rfc822 format available.

Message #17 received at 596953@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: Daniel Jacobowitz <drow@false.org>, 596953@bugs.debian.org
Cc: Konstantinos Margaritis <markos@debian.org>
Subject: Re: Bug#596953: gdb: Please add preliminary support for armhf
Date: Wed, 11 May 2011 16:10:14 +0100
[Message part 1 (text/plain, inline)]
Hello,

  Find attached patch which adds arm-*-linux-*eabi* support to configure files.
  Please note that config.guess has been updated on GNU config package.

Best regards,
  -- Hector Oron


diff -Naur gdb-7.2.y//config.guess gdb-7.2/config.guess
--- gdb-7.2.y//config.guess	2010-06-01 17:53:40.000000000 +0000
+++ gdb-7.2/config.guess	2011-05-11 14:48:01.000000000 +0000
@@ -879,7 +879,13 @@
 	then
 	    echo ${UNAME_MACHINE}-unknown-linux-gnu
 	else
-	    echo ${UNAME_MACHINE}-unknown-linux-gnueabi
+           if echo __ARM_PCS_VFP | $CC_FOR_BUILD -E - 2>/dev/null \
+               | grep -q __ARM_PCS_VFP
+           then
+               echo ${UNAME_MACHINE}-unknown-linux-gnueabi
+           else
+               echo ${UNAME_MACHINE}-unknown-linux-gnueabihf
+           fi
 	fi
 	exit ;;
     avr32*:Linux:*:*)
diff -Naur gdb-7.2.y//configure gdb-7.2/configure
--- gdb-7.2.y//configure	2010-06-01 17:28:08.000000000 +0000
+++ gdb-7.2/configure	2011-05-11 14:45:44.000000000 +0000
@@ -3376,7 +3376,7 @@
     noconfigdirs="$noconfigdirs target-libffi target-qthreads"
     libgloss_dir=arm
     ;;
-  arm*-*-linux-gnueabi)
+  arm*-*-linux-*eabi*)
     noconfigdirs="$noconfigdirs target-qthreads"
     case ${with_newlib} in
       no) noconfigdirs="$noconfigdirs target-newlib target-libgloss"
diff -Naur gdb-7.2.y//configure.ac gdb-7.2/configure.ac
--- gdb-7.2.y//configure.ac	2010-09-02 23:45:32.000000000 +0000
+++ gdb-7.2/configure.ac	2011-05-11 14:45:26.000000000 +0000
@@ -613,7 +613,7 @@
     noconfigdirs="$noconfigdirs target-libffi target-qthreads"
     libgloss_dir=arm
     ;;
-  arm*-*-linux-gnueabi)
+  arm*-*-linux-*eabi*)
     noconfigdirs="$noconfigdirs target-qthreads"
     case ${with_newlib} in
       no) noconfigdirs="$noconfigdirs target-newlib target-libgloss"
diff -Naur gdb-7.2.y//debian/changelog gdb-7.2/debian/changelog
--- gdb-7.2.y//debian/changelog	2010-09-05 21:09:58.000000000 +0000
+++ gdb-7.2/debian/changelog	2011-05-11 14:56:10.000000000 +0000
@@ -1,3 +1,10 @@
+gdb (7.2-2) unstable; urgency=low
+
+  * Add support for arm-*-*eabi* triplet:
+    - Update configure.ac, configure and config.guess
+
+ -- Hector Oron <zumbi@debian.org>  Wed, 11 May 2011 14:49:05 +0000
+
 gdb (7.2-1) unstable; urgency=low
 
   * New upstream release, including:

-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <dan@debian.org>:
Bug#596953; Package gdb. (Tue, 07 Jun 2011 10:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <dan@debian.org>. (Tue, 07 Jun 2011 10:42:07 GMT) Full text and rfc822 format available.

Message #22 received at 596953@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Daniel Jacobowitz <drow@false.org>, 596953@bugs.debian.org
Cc: Konstantinos Margaritis <markos@debian.org>
Subject: Re: Bug#596953: gdb: Please add preliminary support for armhf
Date: Tue, 7 Jun 2011 11:38:54 +0100
Hello,

Ping ...

2011/5/11 Hector Oron <zumbi@debian.org>:
> Hello,
>
>  Find attached patch which adds arm-*-linux-*eabi* support to configure files.
>  Please note that config.guess has been updated on GNU config package.
>
> Best regards,
>  -- Hector Oron
>
>
> diff -Naur gdb-7.2.y//config.guess gdb-7.2/config.guess
> --- gdb-7.2.y//config.guess     2010-06-01 17:53:40.000000000 +0000
> +++ gdb-7.2/config.guess        2011-05-11 14:48:01.000000000 +0000
> @@ -879,7 +879,13 @@
>        then
>            echo ${UNAME_MACHINE}-unknown-linux-gnu
>        else
> -           echo ${UNAME_MACHINE}-unknown-linux-gnueabi
> +           if echo __ARM_PCS_VFP | $CC_FOR_BUILD -E - 2>/dev/null \
> +               | grep -q __ARM_PCS_VFP
> +           then
> +               echo ${UNAME_MACHINE}-unknown-linux-gnueabi
> +           else
> +               echo ${UNAME_MACHINE}-unknown-linux-gnueabihf
> +           fi
>        fi
>        exit ;;
>     avr32*:Linux:*:*)
> diff -Naur gdb-7.2.y//configure gdb-7.2/configure
> --- gdb-7.2.y//configure        2010-06-01 17:28:08.000000000 +0000
> +++ gdb-7.2/configure   2011-05-11 14:45:44.000000000 +0000
> @@ -3376,7 +3376,7 @@
>     noconfigdirs="$noconfigdirs target-libffi target-qthreads"
>     libgloss_dir=arm
>     ;;
> -  arm*-*-linux-gnueabi)
> +  arm*-*-linux-*eabi*)
>     noconfigdirs="$noconfigdirs target-qthreads"
>     case ${with_newlib} in
>       no) noconfigdirs="$noconfigdirs target-newlib target-libgloss"
> diff -Naur gdb-7.2.y//configure.ac gdb-7.2/configure.ac
> --- gdb-7.2.y//configure.ac     2010-09-02 23:45:32.000000000 +0000
> +++ gdb-7.2/configure.ac        2011-05-11 14:45:26.000000000 +0000
> @@ -613,7 +613,7 @@
>     noconfigdirs="$noconfigdirs target-libffi target-qthreads"
>     libgloss_dir=arm
>     ;;
> -  arm*-*-linux-gnueabi)
> +  arm*-*-linux-*eabi*)
>     noconfigdirs="$noconfigdirs target-qthreads"
>     case ${with_newlib} in
>       no) noconfigdirs="$noconfigdirs target-newlib target-libgloss"
> diff -Naur gdb-7.2.y//debian/changelog gdb-7.2/debian/changelog
> --- gdb-7.2.y//debian/changelog 2010-09-05 21:09:58.000000000 +0000
> +++ gdb-7.2/debian/changelog    2011-05-11 14:56:10.000000000 +0000
> @@ -1,3 +1,10 @@
> +gdb (7.2-2) unstable; urgency=low
> +
> +  * Add support for arm-*-*eabi* triplet:
> +    - Update configure.ac, configure and config.guess
> +
> + -- Hector Oron <zumbi@debian.org>  Wed, 11 May 2011 14:49:05 +0000
> +
>  gdb (7.2-1) unstable; urgency=low
>
>   * New upstream release, including:
>
> --
>  Héctor Orón
>
> "Our Sun unleashes tremendous flares expelling hot gas into the Solar System, which one day will disconnect us."
>
> -- Day DVB-T stop working nicely
> Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html
>



-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.

<free spam>
-- Would you like to make a donation for Debian Conference?
   ** http://debconf11.debconf.org/payments.xhtml **
</free spam>




Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Tue, 05 Jul 2011 23:06:05 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@debian.org>:
Bug acknowledged by developer. (Tue, 05 Jul 2011 23:06:05 GMT) Full text and rfc822 format available.

Message #27 received at 596953-close@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 596953-close@bugs.debian.org
Subject: Bug#596953: fixed in gdb 7.3.50~cvs20110627-2
Date: Tue, 05 Jul 2011 23:03:00 +0000
Source: gdb
Source-Version: 7.3.50~cvs20110627-2

We believe that the bug you reported is fixed in the latest version of
gdb, which is due to be installed in the Debian FTP archive:

gdb-minimal_7.3.50~cvs20110627-2_i386.deb
  to main/g/gdb/gdb-minimal_7.3.50~cvs20110627-2_i386.deb
gdb-source_7.3.50~cvs20110627-2_all.deb
  to main/g/gdb/gdb-source_7.3.50~cvs20110627-2_all.deb
gdb64_7.3.50~cvs20110627-2_i386.deb
  to main/g/gdb/gdb64_7.3.50~cvs20110627-2_i386.deb
gdb_7.3.50~cvs20110627-2.debian.tar.gz
  to main/g/gdb/gdb_7.3.50~cvs20110627-2.debian.tar.gz
gdb_7.3.50~cvs20110627-2.dsc
  to main/g/gdb/gdb_7.3.50~cvs20110627-2.dsc
gdb_7.3.50~cvs20110627-2_i386.deb
  to main/g/gdb/gdb_7.3.50~cvs20110627-2_i386.deb
gdbserver_7.3.50~cvs20110627-2_i386.deb
  to main/g/gdb/gdbserver_7.3.50~cvs20110627-2_i386.deb
libgdb-dev_7.3.50~cvs20110627-2_i386.deb
  to main/g/gdb/libgdb-dev_7.3.50~cvs20110627-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 596953@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Oron <zumbi@debian.org> (supplier of updated gdb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 05 Jul 2011 22:37:20 +0100
Source: gdb
Binary: gdb gdb-minimal gdb64 gdbserver libgdb-dev gdb-source
Architecture: source all i386
Version: 7.3.50~cvs20110627-2
Distribution: experimental
Urgency: low
Maintainer: Hector Oron <zumbi@debian.org>
Changed-By: Hector Oron <zumbi@debian.org>
Description: 
 gdb        - The GNU Debugger
 gdb-minimal - The GNU Debugger
 gdb-source - The GNU Debugger (source)
 gdb64      - The GNU Debugger (64-bit)
 gdbserver  - The GNU Debugger (remote server)
 libgdb-dev - The GNU Debugger (libgdb.a)
Closes: 596953 601028
Changes: 
 gdb (7.3.50~cvs20110627-2) experimental; urgency=low
 .
   * Restrict prelink build depend to linux-any architectures.
   * Fix cross-build target:
     - Set DEB_BUILD_GNU_TYPE and use it for --build= instead of
     DEB_HOST_GNU_TYPE; Thanks Loïc Minier (Closes: #601028)
   * Add preliminary support for armhf.
     - Thanks Konstantinos Margaritis (Closes: #596953)
Checksums-Sha1: 
 93f828e16609826ee90c36149baf06ba2e2526b7 2702 gdb_7.3.50~cvs20110627-2.dsc
 e69d2a2c06d37a7574e0feab77ed9dd6a3903cf0 30315 gdb_7.3.50~cvs20110627-2.debian.tar.gz
 b899555a32c54980fdd795babf6009b2c75971e0 19500396 gdb-source_7.3.50~cvs20110627-2_all.deb
 5666cb5ae34719c240036e23943423f6a7b64975 2107850 gdb_7.3.50~cvs20110627-2_i386.deb
 40d977024275b862145c1c4e3c757e7c65765b61 1709106 gdb-minimal_7.3.50~cvs20110627-2_i386.deb
 c20d9fe4cf9adca3be0452964917b97d7a16db87 1687706 gdb64_7.3.50~cvs20110627-2_i386.deb
 13d049caad30968bfa7b5a1bd80a3606d92b6053 119658 gdbserver_7.3.50~cvs20110627-2_i386.deb
 ed6c1ac8000f6edd537caff608ac239a763c27b6 2260070 libgdb-dev_7.3.50~cvs20110627-2_i386.deb
Checksums-Sha256: 
 e44a1d2e1ed2b7281fe86f213c589afca1dc117a185bf8c06f14af3e64d96734 2702 gdb_7.3.50~cvs20110627-2.dsc
 0d966853d629aecc5aae35c7850bf226124823d32244111b10b985251b5843fe 30315 gdb_7.3.50~cvs20110627-2.debian.tar.gz
 c73ca42d18ef989b7474c506875addf47f0f8e5047d0a9e18ec482108b97458b 19500396 gdb-source_7.3.50~cvs20110627-2_all.deb
 9e2e8098206875adaa2d8553457f30fe4a9ad81cf9050d41d51f0ccab8b52338 2107850 gdb_7.3.50~cvs20110627-2_i386.deb
 3b6eaf145ba004d6970b24629843343c9ab1accb7b91b76e4b0971d6d4a4237f 1709106 gdb-minimal_7.3.50~cvs20110627-2_i386.deb
 8a0dfec62e0a6bc2c408a6286a9321dd2e3b2d58c96d152a4dbcb80973d6e7af 1687706 gdb64_7.3.50~cvs20110627-2_i386.deb
 24ce67f50b50c7b066c553617a5ed792ccc9310ebf891e01d4a2696a742883e3 119658 gdbserver_7.3.50~cvs20110627-2_i386.deb
 70e625a8b4774e07ea806b57d33192cab5b5a0dbc7d711ce757ac5211cb3f975 2260070 libgdb-dev_7.3.50~cvs20110627-2_i386.deb
Files: 
 c0ab98cd5374c6b199890eb2f72f8722 2702 devel optional gdb_7.3.50~cvs20110627-2.dsc
 19218a397b8bc262b3e8ea26547eab61 30315 devel optional gdb_7.3.50~cvs20110627-2.debian.tar.gz
 8f4fce78bb1d45f4eee4f6f207a34de3 19500396 devel optional gdb-source_7.3.50~cvs20110627-2_all.deb
 b664912bbd745e107581ca14cb40de16 2107850 devel optional gdb_7.3.50~cvs20110627-2_i386.deb
 ada7e9edf3914f2c09fcd28ce640af30 1709106 devel optional gdb-minimal_7.3.50~cvs20110627-2_i386.deb
 5ff9903da2936e95cefb1424631f493e 1687706 devel optional gdb64_7.3.50~cvs20110627-2_i386.deb
 6b9ebc0c417173d99a8b690b6956e36f 119658 devel optional gdbserver_7.3.50~cvs20110627-2_i386.deb
 3b7f7ee9cff63f4b2b67f6adf5192842 2260070 libdevel extra libgdb-dev_7.3.50~cvs20110627-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOE5XsAAoJEK8ig6p24qx7VksP/ivavoB3KgnPMGo8E6qkih9F
j6lHu04EUkWe9SwKeM7XKYwJ/Wt3hf1x89dg9+eLYXEQR9w9PuuP3NYKsIHLe5Br
kXxqcY1JLdetFvX7FuoHktaFvnhal1O/A8hsZauvg2MKzYReVfcdgrxOpDnn7ZAZ
tbwLIFlk51dU1dl0Sq6wEe63jZXXKh/iRAcBKctunnwUTLhDv2yYyNqSG2WOSGFn
1ClGtCMquiuQac6bbVDXtSjlg+CzPv3LQoSXbzqW45XTeFJny2PlRwIcFyqbcVQZ
HfRPZzrCD0VXgBlgI4rCumicYVwic8FBi/8An7/CAjRPsblb73Mgk57AdxXwbfXl
vlFswAy20R7ekm64dWhTi0Tv/+x2rWaky1QCATGKCn5p5RWTM+VeNkCfZV5C63Js
b9fz0B76oyZ/KUHZGkLF19dsLpqJ3wCTfSsTAA7HQY/fYrXJDHR/j0Hl/+CGD8/m
pJDe07THXIa0nWoW0r237PYGiHvx79CiLjw1le1a772Rgi88v3I9rylW8qoyJ0vw
mUTwtdfpWRpcPJne8++ptz6GuzX+CR54Fz6tNGyVfarMfHU5OX5iZbZfobTDQPYt
KZ+WbukFHttuSMpIp3n0Gpl7YBzuezk/jqNSVE8vg6TQln+TcZREqyuVD2e6NaX1
3ojjHW4yofyuHwS6A4+k
=7vM0
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 01 Oct 2011 07:37:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:23:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.